Results 1 to 2 of 2

Thread: Problem with R-base 2.13.0 in 11.4

  1. #1

    Default Problem with R-base 2.13.0 in 11.4

    Opensuse 11.4 64

    After installing R-base 2.13.0 and a python library rpy2 I get following error:

    Python 2.7 (r27:82500, Aug 07 2010, 16:54:59) [GCC] on linux2
    Type "help", "copyright", "credits" or "license" for more information.
    >>> import rpy2.robjects as robjects
    Traceback (most recent call last):
    File "<stdin>", line 1, in <module>
    File "/usr/local/lib64/python2.7/site-packages/rpy2/robjects/__init__.py", line 12, in <module>
    import rpy2.rinterface as rinterface
    File "/usr/local/lib64/python2.7/site-packages/rpy2/rinterface/__init__.py", line 66, in <module>
    from rpy2.rinterface.rinterface import *
    ImportError: /usr/lib64/R/lib/libRlapack.so: undefined symbol: _gfortran_concat_string


    This problem has appeared in earlier versions of Opensuse too
    and seems to be an issue how R is compiled/packed

    Hopefully someone packaging R-Base for OpenSuse can correct this

  2. #2

    Default Re: Problem with R-base 2.13.0 in 11.4

    I know it is very late, but the instructions at:

    Re: [AniMov] almost there with OpenSuSE 11.3 , R, QGIS and Homerange plu

    should fix it. (It just did for me.) R in OSS and science repo are both broken in this sense.

    It has been like this for a long time now. I don't know where to report this bug.
    Dell Precision T7500 | Nvidia | 12GB Ram | openSUSE 12.1 x86-64 | Gnome 3.2

Similar Threads

  1. data base
    By kc0hwa in forum Applications
    Replies: 18
    Last Post: 05-Oct-2009, 17:59

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •